package com.mvc.dao;

import com.mvc.entity.TStkout;
import com.mvc.entity.TStkoutExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TStkoutMapper {
    long countByExample(TStkoutExample example);

    int deleteByExample(TStkoutExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TStkout record);

    int insertSelective(TStkout record);

    List<TStkout> selectByExample(TStkoutExample example);

    TStkout selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TStkout record, @Param("example") TStkoutExample example);

    int updateByExample(@Param("record") TStkout record, @Param("example") TStkoutExample example);

    int updateByPrimaryKeySelective(TStkout record);

    int updateByPrimaryKey(TStkout record);
}